1

I'm trying to install GTK YouTube Viewer from GitHub (https://github.com/trizen/youtube-viewer) in Q4OS (Debian-based).

I downloaded the .zip file and extracted it, then tried to run the first command within the new directory:

perl Build.PL --gtk

Immediately, I'm met with the following error:

Can't locate Module/Build.pm in @INC (you may need to install the 
Module::Build module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-
gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-
gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share
/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at 
Build.PL line 7.
BEGIN failed--compilation aborted at Build.PL line 7.

Am I missing dependencies, or is this a program error?

3

As said elsewhere, you'll need Module::Build:

apt-get install libmodule-build-perl

You should then be able to run Build.PL, make and install:

perl Build.PL --gtk && ./Build && ./Build install

You may run into trouble with further dependencies being required; installing modules via apt-get is fairly straightforward though.

  • Using the information you listed, I was able to get the installation working properly. Thanks for the help! – Martin Oct 27 '17 at 13:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.